OVH Community, votre nouvel espace communautaire.

Let's Encrypt et Release 3 d'OVH


Fredo_L
07/08/2016, 21h13
Merci pour vos réponses.
Dans l'idéal, j'aimerai avoir la confirmation d'une personne d'une personne qui utilise la release 3 que cette technique fonctionne pour utiliser Let's Encrypt et aussi, que cela ne fait pas sortir de la release.

cassiopee
07/08/2016, 00h13
Cf :

https://www.virtualmin.com/node/40053

où l'on voit que le souci se pose ailleurs également.

Avec un peu de chance l'installation du module Python devrait résoudre le problème.

buddy
06/08/2016, 22h48
En installant le module argparse surement
Mais du coup tu "sortiras" de la release (si il y a encore des MAJs

Fredo_L
06/08/2016, 22h13
Cela fait déjà quelques temps que j'ai mon serveur et la release 3.
Je sais bien que la release 3 est à l'abandon et qu'elle est totalement obsolète mais cela n'était pas signalé par OVH au moment du choix de la distribution.

Cela serait trop de travail que de quitter la release 3 et donc, je reste dessus pour le moment.
Est-ce que quelqu'un a déjà réussi à utiliser Let's Encrypt sur la release 3 et si oui, comment ?
Merci d'avance.

buddy
06/08/2016, 21h56
Bonjour,

tu as pris le serveur quand ?
car la release 3 utilise la version php 5.3 qui est abandonnée depuis 2 ans déjà ...
Donc il vaut clairment mieux partir sur une autre distribution ..

Fredo_L
06/08/2016, 18h21
Bonjour,

Pour mon serveur dédié, j'ai pris la Release 3 d'OVH. J'aimerais que mes noms de domaine bénéficient d'un certificat SSL Let's Encrypt. Est-ce que quelqu'un pourrait me dire comment faire pas à pas ?

Dans mon Webmin, je suis allé Webmin ==> Configuration de Webmin ==> Chiffrement SSL
J'ai choisi l'onglet "Let's Encrypt" et j'ai cliqué sur le bouton "Request Certificate".
Malheureusement, cela n'a pas fonctionné et j'ai eu le message d'erreur suivant :
Requesting a new certificate for serveur, using the website directory /home/ovh/www ..
.. request failed : Failed to request certificate :
Traceback (most recent call last):
File "/usr/libexec/webmin/webmin/acme_tiny.py", line 2, in
import argparse, subprocess, json, os, sys, base64, binascii, time, hashlib, re, copy, textwrap, logging
ImportError: No module named argparse


Merci d'avance à ceux qui pourront me donner un coup de main.